<h1>SEO názvy produktů</h1>
<div class="search-holder">
    <div class="search-holder-text bg-lightgreen noborder-style" style='height: 51px'>
        <div class="padding15">
            <form method='post' action='/admin/seo/' style='float: left'>
                <label></label>
                <select name="category_id">
                    <option VALUE='all' <?= ($this->category_id == 'all') ? "SELECTED" : "" ?>>Vše</option>
                    <?php
                    foreach ($this->categories as $rowArray) {
                        $selected = ($this->category_id == $rowArray['category_id']) ? "SELECTED" : "";
                        echo "<option value='" . $rowArray['category_id'] . "' $selected>" . $rowArray['title_cz'] . "</option>";
                    }
                    ?>
                    <option VALUE='unsorted' <?= ($this->category_id == 'unsorted') ? "SELECTED" : "" ?>>Nezařazené předměty</option>
                </select>
                <input type='submit' value='Vybrat produkty této kategorie'>
            </form>
        </div>
    </div>
    <a href='/admin/seo/saveall'>
        <div class="floatright button active border-style">Uložit alias</div>
    </a>
</div>
<?php include 'page.phtml';?>
<div class="search-holder">
    <div class='legend-holder'>
        <div class='legend-color-holder light'>&nbsp;</div>SEO název OK
    </div>
    <div class='legend-holder'>
        <div class='legend-color-holder red'>&nbsp;</div>SEO název chybí
    </div>
</div>
<table class="admintable">
    <thead>
    <td style="width: 24px;">
        <a href='<?= $this->url() . "?order=product_id" ?>'>
            <div class="full active"><?= ($this->order == 'product_id') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>id</div>
        </a>
    </td>
    <td>
        <a href='<?= $this->url() . "?order=title" ?>'>
            <div class="full active"><?= ($this->order == 'title') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>název zboží</div>
        </a>
    </td>
    <td style='width: 300px'>
        alias
    </td>   
    <td style="width: 26px;">
        <a href='<?= $this->url() . "?order=price" ?>'>
            <div class="full active"><?= ($this->order == 'price') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>kč</div>
        </a>
    </td>
    <td style="width: 20px;">
        <a href='<?= $this->url() . "?order=vat_rate" ?>'>
            <div class="full active"><?= ($this->order == 'vat_rate') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>DPH</div>
        </a>
    </td>
    <td></td>
</thead>
<tbody>
    <?php
    $seo = new Model_SeoConverter();
    if (!empty($this->products)) {
        $color = 'dark';
        $index = $this->page - 1;
        foreach ($this->products[$index] as $value) {
            if (empty($value['alias'])) {
                $color = 'red'; 
            } 
            echo "<tr>";
            echo "<td class='$color'>";
            echo $value['product_id'];
            echo "</td>";
            echo "<td class='$color'>";
            echo "<a href='/admin/products/view/?product_id=" . $value['product_id'] . "' style='text-decoration: underline;'>" . $value['title'] . "</a>";
            echo "</td>";
            echo "<td class='$color smalltext'>";
            if (empty($value['alias'])) {
                echo $seo->makeAlias($value['title'], 'cz', $value['product_id']);
            } else {                
                echo $value['alias'];
            }
            echo "</td>";
            echo "<td class='$color'>";
            echo $value['price'];
            echo "</td>";
            echo "<td class='$color'>";
            echo ($value['vat_rate'] == 1) ? "stan." : "sníž.";
            echo "</td>";
            echo "<td class='$color'><a href='/admin/products/edit/?product_id=" . $value['product_id'] . "'>[uložit alias]</a></td>";            
            echo "</tr>";
            if ($color == 'dark') {
                $color = 'light';
            } else {
                $color = 'dark';
            }
        }
    }
    ?>
</tbody>
</table>
<a href='/admin/seo/saveall/'>
    <div class="floatright button active border-style">Uložit alias</div>
</a>
<?php include 'page.phtml'; 
/*
echo "<pre>";
var_dump($this->products);
echo "</pre>";
 * 
 */
?>